Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/publishedIn.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/publishedIn.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/publishedIn.component.ts	(revision 55570)
@@ -1,4 +1,5 @@
-import {Component, Input, ElementRef} from '@angular/core';
+import {Component, Input} from '@angular/core';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'publishedIn',
@@ -54,14 +55,12 @@
 
     public showAll: boolean = false;
 
-    constructor (private element: ElementRef) {}
+    constructor () {}
 
     ngOnInit() {}
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
     public getKeys( map) {
       return Array.from(map.keys());
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts	(revision 55570)
@@ -44,6 +44,10 @@
        return this.http.post(url+"/community/"+pid+"/subscribers/delete", JSON.stringify([email]), this.getAuthOptionsWithBody())
            .map(res => <any> res.json());
      }
+     getCommunitiesSubscribedTo(email:string, url:string){
+      return this.http.get(url+"/subscriber/communities?email="+email)
+                     .map(res => <any> res.json());
+     }
 
      public getAuthOptionsWithBody():RequestOptions{
      let headers = new Headers();
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/user.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/user.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/user.component.ts	(revision 55570)
@@ -1,4 +1,4 @@
-import {Component, ElementRef}        from '@angular/core';
+import {Component, ElementRef, Input}        from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
@@ -25,6 +25,7 @@
     public routerHelper:RouterHelper = new RouterHelper();
     public loginUrl;
     properties:EnvProperties;
+    @Input() mainComponent = false;
 
     constructor( private router: Router,
                  private route: ActivatedRoute,
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/modal/alert.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/modal/alert.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/modal/alert.ts	(revision 55570)
@@ -1,8 +1,5 @@
-import {Component, ViewEncapsulation, ComponentRef, ElementRef, Input, EventEmitter, Output} from '@angular/core';
-// import { DynamicComponentLoader} from '@angular/core';
+import {Component, ViewEncapsulation, ElementRef, EventEmitter, Output} from '@angular/core';
 
-import {Open} from './open.component';
-
 @Component({
   selector: 'modal-alert',
   template: `
@@ -9,7 +6,7 @@
   <div [class]="(!isOpen)?'uk-modal ':'uk-modal uk-open uk-animation-fade'" uk-modal  [open]="!isOpen" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
     <div class="uk-modal-dialog  uk-modal-body" role="">
          <div class="uk-modal-title" [hidden]=!alertHeader>
-        <a href="" class="uk-modal-close uk-close uk-float-right" (click)='cancel()' ></a>
+        <button class="uk-modal-close-default uk-float-right" (click)='cancel()' uk-close></button>
            <h4 class="modal-title text-center" id="myModalLabel">{{alertTitle}}</h4>
         </div>
         <div class="uk-margin  ">
@@ -18,14 +15,22 @@
           </div>
           <ng-content></ng-content>
         </div>
-        <div class="  uk-text-right" [hidden]=!alertFooter>
+        <div *ngIf="okButtonLeft" class="uk-text-right" [hidden]=!alertFooter>
         <span [hidden]=!okButton >
-          <button class=" uk-button uk-button-default  " (click)="ok()">{{okButtonText}}</button>
-          </span>
-          <span [hidden]=!cancelButton>
-          <button class=" uk-button uk-button-default" (click)="cancel()">{{cancelButtonText}}</button>
-          </span>
+          <button class="uk-button uk-button-default" (click)="ok()">{{okButtonText}}</button>
+        </span>
+        <span [hidden]=!cancelButton>
+          <button class="uk-button uk-button-default" (click)="cancel()">{{cancelButtonText}}</button>
+        </span>
         </div>
+        <div *ngIf="!okButtonLeft" class="uk-text-right" [hidden]=!alertFooter>
+         <span [hidden]=!cancelButton>
+          <button class="uk-button uk-button-default" (click)="cancel()">{{cancelButtonText}}</button>
+        </span>  
+        <span [hidden]=!okButton >
+          <button class="uk-button portal-button" (click)="ok()">{{okButtonText}}</button>
+        </span>
+        </div>
 
     </div>
   </div>
@@ -84,6 +89,8 @@
     * if the value is true alert will be visible or else it will be hidden.
     */
   public isOpen:boolean=false;
+
+  public okButtonLeft: boolean = true;
   /**
     * Emitted when a ok button was clicked
     * or when Ok method is called.
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.component.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.component.ts	(revision 55570)
@@ -0,0 +1,13 @@
+import {Component, Input} from '@angular/core';
+import {SideMenuItem} from "../menu";
+
+@Component({
+  selector: 'sidebar',
+  templateUrl: 'sideBar.component.html'
+})
+export class SideBarComponent {
+  @Input() communityId: string = '';
+  @Input() menuItems: SideMenuItem[] = [];
+
+  constructor() {}
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 55570)
@@ -27,7 +27,7 @@
         }
 
         let url = csvAPIURL;
-        url += '?format=html&type='+requestType+'&fq=(((oaftype exact result) and (resulttypeid exact '+resultTypeId+')) and (relprojectid exact "'+id+'"))';
+        url += '?format=html&type='+requestType+'&fq=(((oaftype exact result) and (resulttypeid exact "'+resultTypeId+'")) and (relprojectid exact "'+id+'"))';
 
         let key = url;
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(revision 55570)
@@ -1,4 +1,5 @@
-import {Component, Input, ElementRef} from '@angular/core';
+import {Component, Input} from '@angular/core';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'showIdentifiers',
@@ -47,7 +48,7 @@
     public sizeOfPreviousIdentifiers: number = -1;
     public pageSize: number = 10;
 
-    constructor (private element: ElementRef) {
+    constructor () {
         this.doiURL = "https://dx.doi.org/";
         this.pmcURL = "http://europepmc.org/articles/";
         this.handleURL = "http://hdl.handle.net/";
@@ -84,9 +85,7 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
     public getKeys( map) {
       return Array.from(map.keys());
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/software/software.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/software/software.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/software/software.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
+import {Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
@@ -12,6 +12,7 @@
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import {EnvProperties}                from '../../utils/properties/env-properties';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'software',
@@ -56,8 +57,7 @@
     sub: any; piwiksub: any; infoSub: any;
     properties:EnvProperties;
 
-    constructor (private element: ElementRef,
-                 private _softwareService: SoftwareService,
+    constructor (private _softwareService: SoftwareService,
                  private _piwikService:PiwikService,
                  private  route: ActivatedRoute,
                  private _meta: Meta,
@@ -196,9 +196,7 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 
     private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/composer.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/composer.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/composer.ts	(revision 55570)
@@ -1,5 +1,6 @@
 import {Email} from "./email";
 import {Body} from "./body";
+import {ContactForm} from "./contact-form";
 
 export class Composer {
   private static noteBodySize = "14px";
@@ -48,6 +49,22 @@
       return email;
   }
 
+  public static composeEmailForNewCommunity(contactForm: ContactForm, admins: any): Email {
+    let email: Email = new Email();
+
+    email.subject = "RCD: Request for new community";
+    email.body = "<div style='font-size:" + this.noteBodySize + "'>"
+               + "<span><b>Name</b>: " + contactForm.name + "</span><br>"
+               + "<span><b>Surname</b>: " + contactForm.surname + "</span><br>"
+               + "<span><b>Email</b>: " + contactForm.email + "</span><br>"
+               + "<span><b>Affiliation</b>: " + contactForm.affiliation + "</span><br>"
+               + "<span><b>Community Name</b>: " + contactForm.community + "</span>"
+               + "<p>" + contactForm.message + "</p>"
+               + "</div>";
+    email.recipients = admins;
+    return email;
+  }
+
   public static composeEmailToInformOldManagersForTheNewOnes(communityName: string, communityId: string, firstVersionOfManagers: any, managers: any) : Email {
       let email: Email = new Email();
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/searchResult.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/searchResult.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/searchResult.ts	(revision 55570)
@@ -1,3 +1,5 @@
+import {CommunityInfo} from "../../connect/community/communityInfo";
+
 export class SearchResult {
     title: { "name": string, "accessMode": string, "sc39": string};
     id:string;
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/env-properties.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/env-properties.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/env-properties.ts	(revision 55570)
@@ -108,6 +108,7 @@
   searchLinkToOrp;
   searchLinkToOrganization;
   //Search pages
+  searchLinkToCommunities;
   searchLinkToPublications;
   searchLinkToDataProviders;
   searchLinkToProjects;
@@ -140,4 +141,10 @@
   claimsInformationLink;
 
   shareInZenodoPage;
+
+  // recaptcha site key
+  reCaptchaSiteKey;
+
+  // contact us recipients
+  admins;
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/userMini.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/userMini.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/userMini.component.ts	(revision 55570)
@@ -33,6 +33,7 @@
                 <a *ngIf="item.route.length == 0 && item.url.length > 0" href="{{item.url}}" target="_blank"  >{{item.title}}</a>
               </li>
              </ng-container>
+             <li *ngIf="userMenuItems.length > 0" class="uk-nav-divider"></li>
               <li><a (click)="logOut()" id="logout" >Log out</a></li>
            </ul>
         </div>
@@ -61,6 +62,7 @@
      <a *ngIf="item.route.length == 0 && item.url.length > 0"  href="{{item.url}}" >{{item.title}}</a>
    </li>
   </ng-container>
+  <li *ngIf="userMenuItems.length > 0" class="uk-nav-divider"></li>
   <li><a (click)="logOut()" id="logout" >Log out</a></li>
  </ul>
 </li>
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.component.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.component.ts	(revision 55570)
@@ -0,0 +1,20 @@
+import { Component, Input} from '@angular/core';
+@Component({
+    selector: 'manage',
+    template: `
+
+        <a [href]="'https://beta.admin.connect.openaire.eu/dashboard?communityId='+communityId"
+        [class]=" ((buttonSizeSmall)?'uk-button-small':'')+' uk-button  uk-button-primary'"
+         target="_blank">
+            Manage
+        </a>
+
+
+    `
+})
+
+export class ManageComponent {
+   @Input() communityId:string;
+   @Input() buttonSizeSmall = true;
+   constructor() {}
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/HelperFunctions.class.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/HelperFunctions.class.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/HelperFunctions.class.ts	(revision 55570)
@@ -0,0 +1,11 @@
+export class HelperFunctions {
+  //Use this class function to create queryParams Objects in format {key1:value1} or {key1:value1,key2:value2,key3:value3,...} for  multiple parameters
+  constructor() {}
+
+  public static scroll() {
+    if (typeof document !== 'undefined') {
+      //this.element.nativeElement.scrollIntoView();
+      window.scrollTo(0, 0);
+    }
+  }
+}
\ No newline at end of file
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/menu.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/menu.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/menu.ts	(revision 55570)
@@ -1,25 +1,33 @@
 export class MenuItem {
-    id:string = ""; // for root menu in order to close the dropdown when clicked
-    title: string = "";
-    url:string = ""; // external url
-    route:string = ""; // internal  url - using angular routing and components
-    needsAuthorization:boolean = false; // needs admin rights - mainly for user menu at this point
-    entitiesRequired:string[] = []; // openaire entities used in page "publication, dataset, organization, software, project, datasource"
-    routeRequired:string[] = []; // the routes that if aren't enable the menu item doesn't make sense
-    params:any = {};
-    constructor(id:string, title:string, url:string, route:string, needsAuthorization:boolean, entitiesRequired:string[],routeRequired:string[], params){
-      this.id = id;
-      this.title = title;
-      this.url = url;
-      this.route = route;
-      this.needsAuthorization = needsAuthorization;
-      this.entitiesRequired = entitiesRequired;
-      this.routeRequired =  routeRequired;
-      this.params = params;
-    }
+  id: string = ""; // for root menu in order to close the dropdown when clicked
+  title: string = "";
+  url: string = ""; // external url
+  route: string = ""; // internal  url - using angular routing and components
+  needsAuthorization: boolean = false; // needs admin rights - mainly for user menu at this point
+  entitiesRequired: string[] = []; // openaire entities used in page "publication, dataset, organization, software, project, datasource"
+  routeRequired: string[] = []; // the routes that if aren't enable the menu item doesn't make sense
+  params: any = {};
 
+  constructor(id: string, title: string, url: string, route: string, needsAuthorization: boolean, entitiesRequired: string[], routeRequired: string[], params) {
+    this.id = id;
+    this.title = title;
+    this.url = url;
+    this.route = route;
+    this.needsAuthorization = needsAuthorization;
+    this.entitiesRequired = entitiesRequired;
+    this.routeRequired = routeRequired;
+    this.params = params;
   }
-  export class RootMenuItem {
-       rootItem:MenuItem;
-       items:MenuItem[]=[];
-  }
+
+}
+
+export class RootMenuItem {
+  rootItem: MenuItem;
+  items: MenuItem[] = [];
+}
+
+export class SideMenuItem {
+  rootItem: MenuItem;
+  items: RootMenuItem[] = [];
+  ukIcon: string = '';
+}
